

CREATE TABLE DATASET
(
	DS_ID BIGINT NOT NULL AUTO_INCREMENT,
	NAME VARCHAR(255) NOT NULL,
	QUERY TEXT,
	ORDER_BY_CLAUSE TEXT,
	CONNECTION_ID BIGINT,
	DESCRIPTION VARCHAR(1024),
	XML_QUERY TEXT,
	USER_ID BIGINT,
	EDITOR_TYPE VARCHAR(250),
	PRIMARY KEY (DS_ID),
	KEY (CONNECTION_ID),
	KEY (CONNECTION_ID),
	KEY (USER_ID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
;
